package org.ow2.bonita.misc;

import java.util.Stack;

public class Feed {

  private Stack<String> feed;

  public Feed() {
    feed = new Stack<String>();
  }

  public Feed(String comment) {
    this();
    addComment(comment);
  }

  public void addComment(String comment) {
    if (comment == null) {
      throw new IllegalArgumentException("The comment is null.");
    }
    feed.add(comment);
  }

  public Stack<String> getFeed() {
    return feed;
  }
}
